AbstractPageRenderer (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.AbstractPageRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractPageRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.AbstractPageRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  PageRenderer

    public abstract class AbstractPageRenderer

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  asmirnov

Field Summary
`static java.lang.String` | `RENDERER_TYPE`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`AbstractPageRenderer()`

Method Summary
`org.richfaces.skin.Theme` | `getTheme(javax.faces.context.FacesContext context, UIPage page)`
`boolean` | `hasFacet(javax.faces.component.UIComponent component, java.lang.String facet)`
`boolean` | `hasTitle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `pageStyle(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.lang.String` | `prolog(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `themeScript(javax.faces.context.FacesContext context, UIPage component)`
`void` | `themeStyle(javax.faces.context.FacesContext context, UIPage component)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### AbstractPageRenderer

    public AbstractPageRenderer()

Method Detail

### prolog

    public java.lang.String prolog(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTheme

    public org.richfaces.skin.Theme getTheme(javax.faces.context.FacesContext context,
                                             UIPage page)

### themeStyle

    public void themeStyle(javax.faces.context.FacesContext context,
                           UIPage component)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### themeScript

    public void themeScript(javax.faces.context.FacesContext context,
                            UIPage component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### pageStyle

    public void pageStyle(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### hasFacet

    public boolean hasFacet(javax.faces.component.UIComponent component,
                            java.lang.String facet)

### hasTitle

    public boolean hasTitle(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.